List Providers
Returns the list of providers (e.g. OpenAI, Anthropic, Google AI Studio) available through FastRouter, with their machine-readable provider_id and human-readable label.
Use the returned provider_id values with the provider.only / provider.order fields in chat/completions and other endpoints.
Responses
200
List of providers
application/json
429
Rate Limited - You have exceeded your request limits (TPM/RPM). Slow down or increase your limits.
application/json
500
Internal Server Error
get/api/v1/providers
GET /api/v1/providers HTTP/1.1
Host: api.fastrouter.ai
Accept: */*
{
"data": [
{
"provider_id": "openai",
"label": "OpenAI"
},
{
"provider_id": "anthropic",
"label": "Anthropic Claude"
},
{
"provider_id": "googleaistudio",
"label": "Google AI Studio"
},
{
"provider_id": "googlevertexai",
"label": "Google Vertex AI"
},
{
"provider_id": "amazonbedrock",
"label": "Amazon Bedrock"
},
{
"provider_id": "azure",
"label": "Microsoft Azure"
},
{
"provider_id": "x-ai",
"label": "X-AI"
},
{
"provider_id": "groq",
"label": "Groq"
},
{
"provider_id": "deepinfra",
"label": "DeepInfra"
},
{
"provider_id": "perplexity",
"label": "Perplexity AI"
},
{
"provider_id": "leonardo",
"label": "Leonardo"
},
{
"provider_id": "pollo",
"label": "Pollo AI"
}
]
}Last updated
